/*****************************************
 * [Code to control directions tablist.] *
******************************************/

const tabs = Array.from(document.querySelectorAll('.tablist [role="tab"]'));
const directionsContent = document.querySelector('.tablist--content');

// Array of every direction
const directions = [
    `<p>The M Shed is located on the harbourside, a five to 10 minute walk from the city centre or a 20 minute walk from Bristol Temple Meads train station.</p>`,
    
    `<p>There is a dedicated cycle track to the south/back of M Shed. There is no cyclist access on the dockside at the front of the museum. There are several bicycle stands on Museum Street, outside the south/back entrance of the building. There's a tyre pump at the end of M Shed on Wapping Road.</p>`,
    
    `<p>You can catch a ferry from Bristol Temple Meads and Hotwells to Prince Street Bridge on the Floating Harbour, which is a five minute walk away.</p>
    
    <p>Boats run every 40-50 minutes – visit the <a href="www.bristolferry.com" target="_blank" rel="noopener">Bristol Ferry Boats website</a> for timetables and fares.</p>`,
    
    `<p>You can catch any bus with a city centre drop off – you'll be dropped off at Broad Quay which is about a five minute walk away.</p>
    
    <p>For timetables please visit the <a href="https://travelwest.info/" target="_blank" rel="noopener">TravelWest website</a>.</p>`,

    `<p>The M Shed is located on the harbourside in the city centre on Wapping Road (BS1 4RN) around two miles from the M32 motorway.</p>

    <p>There are two car parks nearby at The Grove (BS1 4RB) and Wapping Wharf (BS1 4RH). You can find more car parks on the <a href="https://travelwest.info/drive/bristol-car-parking-map" target="_blank" rel="noopener">Travel West website</a>.</p>`,

    `<p>The M Shed is located on the harbourside in the city centre on Wapping Road (BS1 4RN) around two miles from the M32.</p>
    
    <p>For details on coach pick up/set down points and parking, visit the <a href="https://travelwest.info/bus/bristol-coach-parking/" target="_blank" rel="noopener">TravelWest website</a> or <a href="https://visitbristol.co.uk/your-visit/travelling-around-bristol/coach-parking" target="_blank" rel="noopener">Visit Bristol coach parking</a>.</p>`,

    `<p>It's about a 20 minute walk from Bristol Temple Meads train station to M Shed.</p>

    <p>A number of buses leave from Bristol Temple Meads to the city centre, around a five minute walk away.</p>
    
    <p>For timetables please visit the <a href="https://travelwest.info/" target="_blank" rel="noopener">TravelWest website</a>.</p>`
];

// Code to replace direction for each corresponding tab
for (let i = 0; i < tabs.length; i++) {
    tabs[i].addEventListener('click', () => {
        tabs.forEach(tab => {
            tab.setAttribute('aria-selected', 'false');
        })
        tabs[i].setAttribute('aria-selected', 'true');

        directionsContent.innerHTML = directions[i];
    });
}